using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] str = Console.ReadLine().Split(' ');
                a[i] = int.Parse(str[0]);
                p[i] = double.Parse(str[1]);
            }
            Array.Sort(p, a);
            int[] b = new int[n];
            double max = 0;
            int sum = 0;
            for (int i = n-1; i >= 0; i--)
            {
                sum = sum + a[i];
                b[i] = sum;
            }
            for (int i = 0; i < n; i++)
            {
                if (b[i] * p[i] > max) max = b[i] * p[i];
            }
            Console.WriteLine(max / 100);
        }
    }
}